libzypp 17.37.10

zypp::target::RpmPostTransCollector::Impl::Dumpfile Struct Reference

Data regarding the dumpfile used if rpm --runposttrans is supported. More...

## Public Member Functions
| Dumpfile (Pathname dumpfile_r)

## Public Attributes
Pathname | _dumpfile
| The file holding the collected dump_posttrans: lines.
size_t | _numscripts = 0
| Number of scripts we collected (roughly estimated)
bool | _runposttrans = true
| Set to false if rpm lost –runposttrans support during transaction.

## Detailed Description

Data regarding the dumpfile used if rpm --runposttrans is supported.

Definition at line 57 of file RpmPostTransCollector.cc.

## Constructor & Destructor Documentation

## ◆ Dumpfile()

zypp::target::RpmPostTransCollector::Impl::Dumpfile::Dumpfile | ( | Pathname | dumpfile_r | ) |
| inline

Definition at line 59 of file RpmPostTransCollector.cc.

## Member Data Documentation

## ◆ _dumpfile

Pathname zypp::target::RpmPostTransCollector::Impl::Dumpfile::_dumpfile

The file holding the collected dump_posttrans: lines.

Definition at line 63 of file RpmPostTransCollector.cc.

## ◆ _numscripts

size_t zypp::target::RpmPostTransCollector::Impl::Dumpfile::_numscripts = 0

Number of scripts we collected (roughly estimated)

Definition at line 64 of file RpmPostTransCollector.cc.

## ◆ _runposttrans

bool zypp::target::RpmPostTransCollector::Impl::Dumpfile::_runposttrans = true

Set to false if rpm lost –runposttrans support during transaction.

Definition at line 65 of file RpmPostTransCollector.cc.

The documentation for this struct was generated from the following file:

- zypp/target/RpmPostTransCollector.cc